Catalogue streaming (HTTP Progressive)

Stream any track in the MassiveMusic catalogue available in the user's region.

This endpoint is designed for non-subscription streaming plays where stream requests are not validated against an existing, valid subscription or an existing user account.

Tracks can be cached (in an encrypted format) on the end user's device, but all plays from either the cache or live must be reported with the catalogue/log endpoint.

OAuth User token

Example request

GET https://stream.svc.7digital.net/stream/catalogue?country=US&trackid=123456&formatid=56

Example Response

HTTP/1.1 200 OK
Date: Thu, 19 Nov 2023 11:27:47 GMT
Content-Length: 7256280
Content-Type: audio/mpeg

Specific Error Codes

  • 1001 - Error: Missing "parameter name" query parameter. Not all mandatory parameters were specified in the request.
  • 1002 - Invalid value for "parameter name": parameter value. Value for parameter in error message is not valid.
  • 2001 - Track not found. This track isn't available for streaming in your country.
  • 2002 - Pre-release availability. The track is not available for radio streaming (note that release dates may differ from subscription/locker streaming release dates).
Query Params
int32
required

The MassiveMusic ID of the track to be streamed.

int32
required

The MassiveMusic ID of the format requested. For information on supported streaming formats click here.

string
required

ISO 2-character code of the country the end user resides in.

Headers
string

Specify the byte range to be returned.

Language
LoadingLoading…